﻿function ItemEnchantApplication:Frame()
	local f = CreateFrame("Frame")
	f:Hide()
	f:SetWidth(128)
	f:SetHeight(80)
	f:SetScale(.64)
	f:SetPoint("CENTER", UIParent, "CENTER")
	f:SetFrameStrata("TOOLTIP")
	f:SetBackdrop({
		bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background", tile = true, tileSize = 16,
		edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", edgeSize = 16,
		insets = {left = 4, right = 4, top = 4, bottom = 4},
		})
	f:SetBackdropBorderColor(.5, .5, .5)
	f:SetBackdropColor(0,0,0)
	f:ClearAllPoints()
	f:SetPoint("CENTER", UIParent, "CENTER", 0, 0)
	--f:EnableMouse(true)

	texture = f:CreateTexture(nil, "BORDER")
	texture:SetWidth(120)
	texture:SetHeight(80)
	texture:SetTexture("Interface\\ChatFrame\\ChatFrameBackground")
	texture:SetPoint("TOP", f, "TOP", 0, -4)
	texture:SetBlendMode("ADD")
	texture:SetGradientAlpha("VERTICAL", .1, .1, .1, 0, .25, .25, .25, 1)
	texture.Fade = f.fade

	local font = f:CreateFontString(nil,"OVERLAY")
	font:SetFont("Fonts\\FRIZQT__.TTF", 12)
	font:SetWidth(128)
	font:SetText("Application")
	font:SetTextColor(1, .8, 0)
	font:ClearAllPoints()
	font:SetPoint("TOP", f, "TOP", 0, -10)

	local mh = CreateFrame("Button", nil, f, "SecureActionButtonTemplate")
	mh:SetWidth(128)
	mh:SetHeight(24)
	mh:RegisterForClicks("AnyUp")
	mh:SetPoint("TOPLEFT", f, "TOPLEFT", 0, -25)
	mh:SetAttribute("type", "item")
	mh:SetAttribute("target-slot", 16)
	mh:SetFont("Fonts\\FRIZQT__.TTF", 12, "OUTLINE")
	mh:SetText("Main hand")

	local oh = CreateFrame("Button", nil, f, "SecureActionButtonTemplate")
	oh:SetWidth(128)
	oh:SetHeight(24)
	oh:RegisterForClicks("AnyUp")
	oh:SetPoint("TOPLEFT", f, "TOPLEFT", 0, -47)
	oh:SetAttribute("type", "item")
	oh:SetAttribute("target-slot", 17)
	oh:SetFont("Fonts\\FRIZQT__.TTF", 12, "OUTLINE")
	oh:SetText("Off hand")

	oh:SetScript("PostClick", function()
		mh:SetAttribute("type", "item")
		oh:SetAttribute("type", "item")
		f:Hide()
	end)
	mh:SetScript("PostClick", function()
		mh:SetAttribute("type", "item")
		oh:SetAttribute("type", "item")
		f:Hide()
	end)

	f.Main = mh
	f.Off = oh

	return f
end
